<?php

namespace App\Http\Requests;

use App\Referensipkapk;
use Gate;
use Illuminate\Foundation\Http\FormRequest;

class MassDestroyReferensipkapkRequest extends FormRequest
{
    public function authorize()
    {
        return abort_if(Gate::denies('referensipkapk_delete'), 403, '403 Forbidden') ?? true;
    }

    public function rules()
    {
        return [
            'ids'   => 'required|array',
            'ids.*' => 'exists:referensipkapks,id',
        ];
    }
}
